Page MenuHomeFreeBSD

Fix a checksum offloading bug in Hyper-V netvsc driver
ClosedPublic

Authored by honzhan_microsoft.com on Nov 12 2015, 9:45 AM.

Details

Summary

In network forwarding test scenario, the checksum should be calculated again if

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

honzhan_microsoft.com retitled this revision from to Fix a checksum offloading bug in Hyper-V netvsc driver.
honzhan_microsoft.com updated this object.
honzhan_microsoft.com added a reviewer: royger.

Could you please help me review the bug fix?

This has been tested by several customers who were experiencing packet loss on their 10.2 gateway VMs. The patch fixed their problems. I just have one minor comment to add a little detailed comments in the code.

sys/dev/hyperv/netvsc/hv_netvsc_drv_freebsd.c
576 ↗(On Diff #10125)

Can you put a little more detailed comment here, say to only check for out bound flags and ignore the inbound ones?

royger edited edge metadata.

LGTM, although I'm no networking expert.

@Wei: feel free to add my approved by and commit it when you feel it's ready.

This revision is now accepted and ready to land.Nov 13 2015, 9:33 AM
honzhan_microsoft.com edited edge metadata.

refine the patch according to Wei Hu's comments

This revision now requires review to proceed.Nov 16 2015, 2:55 AM
This revision was automatically updated to reflect the committed changes.